package org.processmining.glueminer.parameters;

public class GeneratePetrinetConstants {
	/**
	 * 	int numStartActivities;
	int numEndActivities;
	int noIntermediateActivities;
	int noOfWantedPlaces;
	int maxNoIterations;
	int maxSourceActivitiesNumber;
	int maxTargetActivitiesNumber;
	
	2,2,10,10,500,40
	
	numStartActivities in {1,20}
	numEndActivities in {1,20}
	noIntermediateActivities in {5,100}
	noOfWantedPlaces in {1,50}
	maxNoIterations in {1,5000}
	maxRecursionDepth in {20,300}
	 */
	
	public static Integer minStartActivities = 1;
	public static Integer maxStartActivities = 20;
	public static Integer defaultStartActivities = 2;
	public static Integer minEndActivities = 1;
	public static Integer maxEndActivities = 20;
	public static Integer defaultEndActivities = 2;
	public static Integer minIntermediateActivities = 5;
	public static Integer maxIntermediateActivities = 100;
	public static Integer defaultIntermediateActivities = 10;
	public static Integer minWantedPlaces = 1;
	public static Integer defaultWantedPlaces = 10;
	public static Integer maxWantedPlaces = 50;
	public static Integer minMaxNoIterations = 1;
	public static Integer maxMaxNoIterations = 5000;
	public static Integer defaultMaxNoIterations = 100;
	public static Integer minMaxSourceActivitiesNumber = 1;
	public static Integer maxMaxSourceActivitiesNumber = 6;
	public static Integer defaultMaxSourceActivitiesNumber = 2;
	public static Integer minMaxTargetActivitiesNumber = 1;
	public static Integer maxMaxTargetActivitiesNumber = 6;
	public static Integer defaultMaxTargetActivitiesNumber = 3;
}
